StartupEvents.registry('item', e => {
    Platform.mods.kubejs.name = 'Society'
    e.create('society:iron_sea_coin').texture('society:item/iron_sea_coin')
    e.create('society:gold_sea_coin').texture('society:item/gold_sea_coin')
    e.create('society:neptunium_sea_coin').texture('society:item/neptunium_sea_coin').glow(true)
    e.create('society:unholy_contract').texture('society:item/unholy_contract')
    e.create('society:aquamagical_dust').texture('society:item/aquamagical_dust').glow(true)
    e.create('society:sea_coin_fragments').texture('society:item/sea_coin_fragments')
})
// Startup script
StartupEvents.registry('fluid', e => {
    e.create("aquaculture:molten_neptunium")
      .thickTexture(0x17f4b8)
      .bucketColor(0x17f4b8)
      .displayName("Molten Neptunium")
      .tag("aquaculture:molten_neptunium");

    e.create("biomancy:blood")
      .thickTexture(0x99130c)
      .bucketColor(0x99130c)
      .displayName("Blood")
      .tag("biomancy:blood");
})

ItemEvents.modification(e => {
    e.modify('minecraft:flint_and_steel', item => {
        item.maxDamage = -1
    })
})